
package de.ivu.elect.business.security.control;

import java.util.Collection;
import java.util.Collections;

import javax.inject.Inject;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.konfiguration.entity.LoginMandantAuswahlArt;
import de.ivu.elect.business.mandant.control.MandantSupport;

public class LoginMandantAuswahlArtKonfigurationInit extends AbstractKonfigurationInit {

  public LoginMandantAuswahlArtKonfigurationInit() {
    super();
  }

  @Inject
  private transient MandantSupport mandantSupport;

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    if (mandantSupport.isMandantenUnterstuetzt()) {
      return Collections.singleton(create(ElectKonfigurationWerte.LOGIN_MANDANT_AUSWAHL_ART, getDefaultMandantAuswahlArt().name()));
    } else {
      return Collections.emptyList();
    }
  }

  private LoginMandantAuswahlArt getDefaultMandantAuswahlArt() {
    return LoginMandantAuswahlArt.AUSWAHLLISTE;
  }
}
